Data Structures | Enumerations

# textbuf_type.h File Reference

Stuff related to text buffers. More...

`#include "string_type.h"`
`#include "strings_type.h"`
`#include "string_base.h"`

Go to the source code of this file.

## Data Structures
struct | Textbuf
| Helper/buffer for input fields. More...
## Enumerations
enum | HandleKeyPressResult { HKPR_EDITING, HKPR_CURSOR, HKPR_CONFIRM, HKPR_CANCEL, HKPR_NOT_HANDLED }
| Return values for Textbuf::HandleKeypress. More...

## Detailed Description

Stuff related to text buffers.

Definition in file textbuf_type.h.

## Enumeration Type Documentation

enum HandleKeyPressResult

Return values for Textbuf::HandleKeypress.

Enumerator:

  HKPR_EDITING | Textbuf content changed.
  HKPR_CURSOR | Non-text change, e.g. cursor position.
  HKPR_CONFIRM | Return or enter key pressed.
  HKPR_CANCEL | Escape key pressed.
  HKPR_NOT_HANDLED | Key does not affect editboxes.

Definition at line 22 of file textbuf_type.h.